Package org.apache.sling.testing.clients.util.config

# Interface InstanceConfig

All Known Subinterfaces:
  `InstanceConfigCache`

All Known Implementing Classes:
  `OsgiInstanceConfig`

public interface InstanceConfig
Allows saving and restoring an instance configuration. Implementations define the behaviour of save() and restore()

## Method Summary

Modifier and Type
Method
Description
`InstanceConfig`
`restore()`
Restores the saved status of the configuration
`InstanceConfig`
`save()`
Saves the current status of the configuration

## Method Details

### save

InstanceConfig save() throws InstanceConfigException, InterruptedException
Saves the current status of the configuration

Returns:
  this
Throws:
  `InstanceConfigException` - if saving the configuration fails
  `InterruptedException` - if interrupted

### restore

InstanceConfig restore() throws InstanceConfigException, InterruptedException
Restores the saved status of the configuration

Returns:
  this
Throws:
  `InstanceConfigException` - if restoring the configuration fails
  `InterruptedException` - if interrupted